Subject: Fw: Washington State Department of Revenue
From: "Customer Service" <[email-masked]>
To: "Rick" <[email-masked]>
Date: Tue, 23 Sep 2008 17:16:18 -0400

Washington State Department of RevenueRick,
This lady called me about LLPS being behind with paying some kind of excise tax owed for the last 2 quarters.  I wasn't sure if this is something that applies to us or not.  The attached would need to be filled out if we do need to have you talk to them on our behalf.  I can have one of the guys sign it if needed.  Let me know.
Thank you,
Mike - LLPS

----- Original Message ----- 
From: Stevens, Leah (DOR) 
To: [email-masked] 
Sent: Tuesday, September 23, 2008 5:04 PM
Subject: Washington State Department of Revenue

Good Afternoon Mike, 

Attached is the form that we discussed today.  Please complete, have a corporate officer sign it, and either fax or email it back to me.  My fax number is (360) 725-7348 and my email is [email-masked].  Please also provide a contact name & telephone number of the person at the accounting firm that I should contact.

Thanks, 

Leah Stevens, Out of State Compliance 
Washington State Department of Revenue 
P.O. Box 34052 
Seattle, WA 98124-1052 

<<ConfidentialTaxInfoAuth_E.pdf>>